com.taosdata.jdbc.tmq

## Class OffsetWaitCallback<V>

- java.lang.Object
- - com.taosdata.jdbc.tmq.OffsetWaitCallback<V>

    public class OffsetWaitCallback<V>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`OffsetWaitCallback(Map<TopicPartition,OffsetAndMetadata> offsets, JNIConsumer<?> consumer, OffsetCommitCallback<V> callback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `commitCallbackHandler(int code)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OffsetWaitCallback

    public OffsetWaitCallback(Map<TopicPartition,OffsetAndMetadata> offsets,
                              JNIConsumer<?> consumer,
                              OffsetCommitCallback<V> callback)

### Method Detail

#### commitCallbackHandler

    public void commitCallbackHandler(int code)